#ifndef CDVDDEFS
#define CDVDDEFS

typedef u32  (CALLBACK* _PS2EgetLibType)(void);
typedef u32  (CALLBACK* _PS2EgetLibVersion)(void);
typedef char*(CALLBACK* _PS2EgetLibName)(void);

// CDVD
typedef s32  (CALLBACK* _CDVDinit)();
typedef s32  (CALLBACK* _CDVDopen)();
typedef void (CALLBACK* _CDVDclose)();
typedef void (CALLBACK* _CDVDshutdown)();
typedef s32  (CALLBACK* _CDVDreadTrack)(cdvdLoc *Time);
typedef u8*  (CALLBACK* _CDVDgetBuffer)();
typedef s32  (CALLBACK* _CDVDgetTN)(cdvdTN *Buffer);
typedef s32  (CALLBACK* _CDVDgetTD)(u8 Track, cdvdLoc *Buffer);

typedef void (CALLBACK* _CDVDconfigure)();
typedef s32  (CALLBACK* _CDVDtest)();
typedef void (CALLBACK* _CDVDabout)();

// CDVD
extern _CDVDinit       CDVDinit;
extern _CDVDopen       CDVDopen;
extern _CDVDclose      CDVDclose;
extern _CDVDshutdown   CDVDshutdown;
extern _CDVDreadTrack  CDVDreadTrack;
extern _CDVDgetBuffer  CDVDgetBuffer;
extern _CDVDgetTN      CDVDgetTN;
extern _CDVDgetTD      CDVDgetTD;

extern _CDVDconfigure  CDVDconfigure;
extern _CDVDtest       CDVDtest;
extern _CDVDabout      CDVDabout;

extern _PS2EgetLibType CDVDLibType;
extern _PS2EgetLibVersion CDVDLibVersion;
extern _PS2EgetLibName CDVDLibName;

extern int LoadCDVDplugin(char *filename);

#endif